org.springframework.web.portlet.bind

## Class MissingPortletRequestParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.portlet.PortletException
      - - org.springframework.web.portlet.bind.PortletRequestBindingException
        - - org.springframework.web.portlet.bind.MissingPortletRequestParameterException

- All Implemented Interfaces:
    Serializable

      public class MissingPortletRequestParameterException
      extends PortletRequestBindingException

  `PortletRequestBindingException` subclass that indicates a missing parameter.
  Since:
    2.0.2
  Author:
    Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingPortletRequestParameterException(String parameterName, String parameterType)` Constructor for MissingPortletRequestParameterException.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `String` | `getParameterName()` Return the name of the offending parameter.
    `String` | `getParameterType()` Return the expected type of the offending parameter.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingPortletRequestParameterException

          public MissingPortletRequestParameterException(String parameterName,
                                                         String parameterType)

      Constructor for MissingPortletRequestParameterException.
      Parameters:
        `parameterName` - the name of the missing parameter
        `parameterType` - the expected type of the missing parameter

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

    - #### getParameterName

          public final String getParameterName()

      Return the name of the offending parameter.

    - #### getParameterType

          public final String getParameterType()

      Return the expected type of the offending parameter.